lbt_form:
  label: LBT Form
  namespace: Organisms/TM - Less Busy Trains
  use: '@organisms/tm-lbt/lbt-form/lbt-form.twig'
  description: Less Busy Trains - main form
  dependencies:
    - form-element
    - alert
    - button
  fields:
    station_origin:
      type: pattern
      label: Station origin
      preview:
        - id: form-element
          variant: select
          fields:
            errors: false
            description_content: false
            label:
              id: form-label
              fields:
                title: From
    station_destination:
      type: pattern
      label: Station estination
      preview:
        - id: form-element
          variant: select
          fields:
            errors: false
            description_content: false
            label:
              id: form-label
              fields:
                title: To
    times:
      type: pattern
      label: Times
      preview:
        - id: form-element
          variant: select
          fields:
            errors: false
            description_content: false
            label:
              id: form-label
              fields:
                title: Time of day
    week_day:
      type: pattern
      label: Week day
      preview:
        - id: form-element
          variant: select
          fields:
            errors: false
            description_content: false
            label:
              id: form-label
              fields:
                title: Day of week
    error_messages:
      type: pattern
      label: Alert
      preview:
        - id: alert
          variant: warning
          fields:
            header: Form error
            content: You have made an illegal choice
    submit:
      type: pattern
      label: Submit
      preview:
        - id: button
          variant: default
          settings:
            text: View results
